Subject: bug#24866: AucTeX not working on Emacs 25.1.1 for Mac

From: Lars Eriksson <[email-masked]>
Date: Mon, 21 Nov 2016 21:33:57 +0100

Hi Tassilo and Mosè,

Thanks for your help and input.

It’s OK that the case is closed, but it feels unsatisfactorily that there is something that triggers an unwanted behaviour in some situations and that it could be pinpointed.

Is there something that I could do to help you find the root cause? I am sorry for not being a competent e-lisp hacker so I do not know where to start and need pointers to how and where to start if it is interesting…

Best,
Lars
> On 21 Nov 2016, at 12:47, Tassilo Horn <[email-masked]> wrote:
> 
> Lars Eriksson <[email-masked]> writes:
> 
> Hi Lars,
> 
>> I have now uninstalled it and installed the ELPA version and it worked
>> out of the box…
> 
> Good, then I close this bug.  Although it is really strange that you
> could pin this one single commit which seems to have broken things for
> you.  The code in question is exactly the same in the ELPA version.
> 
>> How does emacs generate the search path to ELPA? Is the search path
>> ~/emacs.d/elpa/ hardcoded into Emacs? I have not added anything to my
>> .emacs but it finds auctex without my intervention…
> 
> package.el, the Emacs package manager, generates a
> <package>-autoloads.el file in case it's not already contained in a
> package (which it is not in the case of auctex).  That file contains an
> appropriate load-path addition.
> 
>> My load path now has the following entries:
>> "/Users/larer/.emacs.d/elpa/auctex-11.89.6/"
>> "/Users/larer/.emacs.d/elpa/auctex-11.89.6” as a followup should there be two,
>> one with trailing slash and one without?
> 
> Oh, right.  In the case of auctex, the generated autoloads file adds the
> latter entry and in tex-site.el there's also code that adds the former
> entry.  That shouldn't cause any harm but I should probably change the
> code in tex-site.el so that no duplicate entry will be added.
> 
> Bye,
> Tassilo